/**
 * Copyright 2019 DH
 * All right reserved.
 * 项目名称: 大恒泰山系统
 * 创建日期:2023/10/30
 */
package org.ts.ddcs.common.util;

import com.alibaba.fastjson.JSONObject;
import org.ts.ddcs.common.metadata.ElementDataMetadataEnum;

/***
 * Date:2023/10/30
 * Title:文件所属模块（必须填写）
 * Description：对本文件的详细描述，原则上不能少于30字
 * @author dylan
 * @version 1.0
 * Remark：认为有必要的其他信息
 */
public class ElementJsonPackHelp {
    public static JSONObject toJson(String type, String name, String subCode, String value, String unit, String desc) {
        JSONObject item = new JSONObject();
        item.put(ElementDataMetadataEnum.ELEMENT_METADATA_CODE.getName(), type);
        item.put(ElementDataMetadataEnum.ELEMENT_METADATA_NAME.getName(), name);
        item.put(ElementDataMetadataEnum.ELEMENT_METADATA_SUB_CODE.getName(), subCode);
        item.put(ElementDataMetadataEnum.ELEMENT_METADATA_VALUE.getName(), value);
        item.put(ElementDataMetadataEnum.ELEMENT_METADATA_UNIT.getName(), unit);
        item.put(ElementDataMetadataEnum.ELEMENT_METADATA_DESC.getName(), desc);
        return item;
    }
}
